UPDATE DT412 SET DI001990 = 'PY', DI027352 = 'def computeOutput(di):
    rec = di.get_dtp_record()

    util = rec.util.get_value()
    avail_cap = rec.avail_cap.get_value()

    if avail_cap > 0:
        return ((util / avail_cap) * 100)
    else:
        return 0

computeOutput.deps = ("DI001345","DI001337")', DI000252 = '', DI000248 = 0 WHERE DI000238 = '001363';